$Title Sets Definition
$ontext
--------------------------------------------------------------------------------
------------------------------ General Header ----------------------------------
--------------------------------------------------------------------------------
         SAM disaggregation in load blocks
         Renato Rodrigues
         Instituto de Investigacin Tecnolgica
         Date: 11, oct, 2011
--------------------------------------------------------------------------------
--------------------------- End of General Header ------------------------------
--------------------------------------------------------------------------------
$offtext

*---------Declaration of auxiliary file-------
file TMPx /tmpx.txt/
put TMPx  putclose
                         'par=report_scalar rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_scalar!B2' /
                         'par=report_vector rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_vector!B2' /
                         'par=report_two_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_two!B2' /
                         'par=report_three_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_three!B2' /
                         'par=report_four_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_four!B2' /
                         'par=report_five_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_five!B2' /
                         'par=report_six_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_six!B2' /
                         'par=report_seven_dimensions rng=%Load_Block_Aggregation%_%Abreviated_calibration_problem%_seven!B2'

*---------GAMs loading data-------------------
execute_unload "results.gdx"

*---------GAMs loading data-------------------
execute        'gdxxrw.exe results.gdx o="Output_Model_%Model%_%Load_Block_Aggregation%_%Calibration_Problem%_%Years_Simulated%_GEMED_results_comparison.xlsx" SQ=n Squeeze=0 EpsOut=0 @tmpx.txt'

*---------Deleting Auxiliary Files--
execute 'del tmpx.txt results.gdx';

